import request from '/@/utils/request';

/**
 * 分页查询日卫生检查列表
 */
export const fetchList = (query?: any) => {
  return request({
    url: '/stuwork/dormhygienedaily/page',
    method: 'get',
    params: query
  });
};

/**
 * 新增日卫生检查
 */
export const addObj = (data: any) => {
  return request({
    url: '/stuwork/dormhygienedaily',
    method: 'post',
    data
  });
};

/**
 * 编辑日卫生检查
 */
export const putObj = (data: any) => {
  return request({
    url: '/stuwork/dormhygienedaily/edit',
    method: 'post',
    data
  });
};

/**
 * 删除日卫生检查
 */
export const delObjs = (ids: string[]) => {
  return request({
    url: '/stuwork/dormhygienedaily/delete',
    method: 'post',
    data: ids
  });
};

/**
 * 获取日卫生检查详情
 */
export const getObj = (id: string) => {
  return request({
    url: `/stuwork/dormhygienedaily/detail`,
    method: 'get',
    params: { id }
  });
};

